#include "header\GBA.h"
#include "header\BG.h"
#include "header\Timer.h"
#include "header\DMA.h"
#include "header\IRQ.h"
#include "header\sound.h"
#include "header\sprite.h"

#include "lib.h"
#include "iwram.h"
#include "irq.h"
#include "syscall.h"

#include "data.h"
#include "resource\BitMapFont.h"

//const int __gba_multiboot;  //GBANp

int main(void)
{
  u8 *buf;
  Mode3SetBitMapFont((u8*)BitMapFont, 8,8,0);

  Mode3SetSJISFont(_SHNMK_FNT_BIN_OFFSET,
                   _SHNMK_FNT_BIN_SIZE,
                   _SHNMK14_FNT_BIN_OFFSET, 2, 14);

  buf = EtfsfopenLZ77(_SYANHAI2_IMG_BIN_OFFSET,
                      _SYANHAI2_IMG_BIN_SIZE);

  dprintf("CARD OFFSET:0x%x\n", (void*)EtfsGetDataOffset(_CARD_IMG_BIN_OFFSET));
  Mode3DrawImage(0,0, 240,160, (u16*)buf);
  Mode3DrawSJISStr(1,110, "OPQR`abACE", RGB(31,31,31));
  Mode3DrawBitMapStr(1,17,"BmpFont SJIS LZ77 Sample. --");
  Mode3DrawBitMapStr(1,18,"2005/04/16 by Akkera.    ---");

  SetMode(MODE_3 | BG2_ENABLE);

  // C[v
  while(1){
    WaitForVsync(); // ҂
  }
  return 0;
}
